Subject: Re: can TCP socket send buffer be over used?

From: Rick Jones <[email-masked]>
Date: Tue, 03 Aug 2010 17:30:44 -0700

Jack Zhang wrote:
> I understand that when the buffer size is set to 128 KB, I actually
> got a buffer of 256 KB as the kernel doubles the buffer size. I also
> understand that half the doubled buffer size is used for meta data
> instead of the actual data to be transferred. So basically the
> effective buffer sizes for the two examples  are just 128 KB and 512
> KB respectively.

It may not be strictly 1/2.  One way to check would be to take a tcpdump trace 
on the sending side, and either work-out manually the most the connection has 
outstanding at a time, or run the binary trace through something like tcptrace.

rick jones